Skip to main content
PATCH
/
accounts
/
{customerId}
/
membership
Update membership settings
curl --request PATCH \
  --url https://api.interchange.io/api/v2/accounts/{customerId}/membership \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "allowDomainAutoJoin": true
}
'
{
  "customerId": 200,
  "allowDomainAutoJoin": false
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

customerId
string
required

Customer ID

Minimum string length: 1
Example:

"200"

Body

application/json

Request body for updating customer membership settings

allowDomainAutoJoin
boolean
required

When true, users with a verified matching domain email join immediately as members without admin approval.

Example:

true

Response

Update membership settings

Customer membership access settings

customerId
integer
required

Customer ID

Required range: -9007199254740991 <= x <= 9007199254740991
Example:

200

allowDomainAutoJoin
boolean
required

When true, users with a verified matching domain email join immediately as members without admin approval. Requires customerDomain to be set.

Example:

false